LUG Bylaws
==========

Preamble
--------
This is a set of bylaws for the Linux Users Group at Oregon State University. 
These are not set in stone and are in fact meant to be dynamic, adapting to the 
needs of the community as they change. These bylaws are separate from our 
constitution (which is also in this repository) but ought to be enforced by the 
community.

For information on contributing to the set of bylaws see the `Contributing`
section below.

Bylaws
-----
* There should be a maximum of one bot in the irc channel (#osu-lug,
  irc.freenode.net) at any time.
* Any malicious (i.e., 'black hat') material shared in the official
  OSU LUG IRC Channels should be presented in an academic or educational
  context. We do not encourage the use of malicious exploits under any
  circumstances.

Contributing
------------
How to propose a bylaw:

#. Have a GitHub account.
#. Fork this repository into your own personal GitHub account.
#. Edit this file to modify the ruleset.
#. Commit this change with a commit message explaining the following:
    - What the proposed bylaw is.
    - Why the bylaw was put in place.
    - Your irc handle in #osu-lug and/or your 'real name'.
#. Create a Pull Request to merge your version of this repository into the
   master branch of the original repository. DO NOT MERGE THE PULL REQUEST.

A pull request into master can only be merged with the approving comment (+1)
of the following individuals:

* The OSU LUG President.
* Two officers.
* Three active LUG members (regularly attend meetings or communicate in the
  #osu-lug IRC channel).

The final merge into master must be done by an officer of LUG.

Any comment for or against the change in the comments of the pull request must
include a reason for the support or non-support. Any -1 comments should either
be fixed by the individual making the pull request or addressed by the
individual making the pull request with a WONTFIX response and reason. It is
the responsibility of the voting population to give feedback for improvement if
a bylaw proposition; active participation is necessary for this system to work.
All comments must include the GitHub user's irc handle in #osu-lug if different
from their github handle.

Any part of this document can be changed with the above process, including the
above process, however alterations to the above process must pass by the
current process's rules.
